const isProd = process.env.NODE_ENV === 'production'

const config = {
	"presets": [
		"@babel/preset-env",
		"@babel/preset-typescript",
		"@babel/preset-react",
		"@emotion/babel-preset-css-prop"
	],
	"plugins": [
		'@babel/plugin-transform-runtime',
		[
			"@babel/plugin-proposal-class-properties",
			{
				"loose": true
			},
		]
	]
}

if (!isProd){
	config.plugins.push('react-hot-loader/babel')
}

module.exports = config
